package com.yihu.jw.entity.iot.copdDevice;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Bing on 2021/4/14.
 * 华米医疗设备睡眠
 */
@Entity
@Table(name="wlyy_copd_huami_sleep")
public class WlyyCopdHuamiSleepDO extends UuidIdentityEntity {
    private String  deviceSn;  //设备sn码
    private String  date;   //数据的本地生成日期，格式为yyyy-MM-dd
    private String  lastSyncTime; //数据上传到华米后端的时间戳
    private String  deepSleepTime;    //深度睡眠时长，单位为分钟
    private String  shallowSleepTime; //浅度睡眠时长，单位为分钟
    private String  wakeTime;  //睡眠期间清醒时长，单位为分钟
    private String  sleepScore;    //睡眠评分，范围为 0-100
    private String  start;  //睡眠开始时间。Amazfit设备为分钟序号（0-1439），mifit设备为时间戳
    private String  stop;   //睡眠结束时间。Amazfit设备为分钟序号（0-1439），mifit设备为时间戳
    private String  mode;   //睡眠状态。4为浅度睡眠状态；5为深度睡眠状态；7为清醒状态；8为REM（快速眼动睡眠）

    @Column(name="device_sn")
    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    @Column(name="date")
    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    @Column(name="last_sync_time")
    public String getLastSyncTime() {
        return lastSyncTime;
    }

    public void setLastSyncTime(String lastSyncTime) {
        this.lastSyncTime = lastSyncTime;
    }

    @Column(name="deep_sleep_time")
    public String getDeepSleepTime() {
        return deepSleepTime;
    }

    public void setDeepSleepTime(String deepSleepTime) {
        this.deepSleepTime = deepSleepTime;
    }

    @Column(name="shallow_sleep_time")
    public String getShallowSleepTime() {
        return shallowSleepTime;
    }

    public void setShallowSleepTime(String shallowSleepTime) {
        this.shallowSleepTime = shallowSleepTime;
    }

    @Column(name="wake_time")
    public String getWakeTime() {
        return wakeTime;
    }

    public void setWakeTime(String wakeTime) {
        this.wakeTime = wakeTime;
    }

    @Column(name="sleep_score")
    public String getSleepScore() {
        return sleepScore;
    }

    public void setSleepScore(String sleepScore) {
        this.sleepScore = sleepScore;
    }

    @Column(name="start")
    public String getStart() {
        return start;
    }

    public void setStart(String start) {
        this.start = start;
    }

    @Column(name="stop")
    public String getStop() {
        return stop;
    }

    public void setStop(String stop) {
        this.stop = stop;
    }

    @Column(name="mode")
    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }
}
